##### basic_serial_port::get_option (2 of 2 overloads)

Get an option from the serial port.

    template<
        typename GettableSerialPortOption>
    void get_option(
        GettableSerialPortOption & option,
        asio::error_code & ec) const;

This function is used to get the current value of an option on the serial port.

###### Parameters

option

  The option value to be obtained from the serial port.

ec

  Set to indicate what error occurred, if any.